Kerbal Space Program - Bug #27197

Resources displayed incorrectly when on EVA
01/31/2021 05:59 PM - LouisB3

Status: Ready to Test Start date: 01/31/2021
Severity: Low % Done: 80%
Assignee: victorr

Category: EVA

Target version: 1.11.2

Version: 1111 Language: English (US)
Platform: Windows Mod Related: Yes
Expansion: Core Game

Description

The resource panel displays resources incorrectly if a kerbal on EVA has resources that are not propellants. The attached
screenshot shows Valentina carrying 9600 units of Nitrogen in her jetpack and 1 unit of Snacks. However, the resource panel claims
she has 9601 units of Snacks. When she uses up Nitrogen with her jetpack, the resource panel also shows that her Snacks are
being consumed - but her PAWSs reveals that Snacks remain at full capacity.

This is mod-related in that the stock game does not have multiple resources for EVA kerbals. However, forum discussion suggests
that it is stock behavior, not any specmc mod, that is the culprit. Iti is dlscussed on the Snacks thread here

mment&comment 3916822 and on the TAC-LS thread here

https://forum.kerbalspaceprogram.com/index.php?/topic/146465-111x-tac-life-support-v0170-release-29th-dec-2020/&do=findComm
ent&comment=3914131 .

History

#1 - 02/09/2021 05:13 PM - victorr

- Assignee set to victorr

#3 - 02/16/2021 11:37 PM - victorr
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 03/22/2021 05:17 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.11.2

- % Done changed from 10 to 80

We made some changes in the latest version of the game and would like some feedback on this.
